#box1 {
  height: 150px;
  width: 150px;
  padding: 50px;
  border: 1px solid black;
  background: orange;
  box-sizing: border-box;
  display: inline-block;
}

/* 
    Withou box-sizing: border-box;
    the exact width of our element: 252x;
    1px left border + 50px left padding 1 150px widht +50px right padding + 1px right border = 252px

    with box-sizing: border-box;
    the exact width of our element: 150px

    Border and padding are included in the total width
    1px left border +50px left padding + 48px context width + 50px right padding +1px right border = 150px
    
    padding - is space within an elemnt
    margin - si the space outside
*/

#box2 {
  width: 150px;
  height: 150px;
  border: 1px solid black;
  background: green;
  display: inline-block;
  vertical-align: top;
}

span {
  width: 150px;
  height: 150px;
  border: 1px solid black;
  display: inline-block;
  vertical-align: top;
}

/* CSS Reset */
/*
    Zeroes all margins and paddings of our eleents,
    becaus by default, elements are being added margins and paddings by browser
    
    box-sizing: border box; to accurately measure our elemetn, that padding and border ar not added on toop of the element's width.
*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* CSS Review */
/* html {
  font-size: 5px;
} */

#nestedDiv {
  /* 
 rem : root eleemtn - a measurement based the font-size of the root elemetn (HTML) Default : 16px;

 2 x root element's font-size = 2rem

 em: is a measurement based on the font-size of the parent element;
 becaus the parent's div's font-size is 10px;
 2em = 20px
*/
  height: 2em;
  width: 2em;
  border: 1px solid red;

  /* 
    position: allows to determine the position of the element
    position : relative; allows to move or determin the position of our element realtive to where it was originally in out html document.
    left, right, top, bottm - these properties are used in conjunction with the position and they determine the meaurement from a direction.

    % as a measurement is based on the width/height of the parent element
    px is and exact measurement across all the devices.

    vh/vw - viewport which is the visible area of our page

  */
  position: relative;
  left: 33%;
  right: 33%;
}
